Loading...
Searching...
No Matches
juce::dsp::detail Namespace Reference

## Typedefs

template<typename T>
using | TupleIndexSequence = std::make_index_sequence<std::tuple_size_v<std::remove_cv_t<std::remove_reference_t<T>>>>

## Functions

template<typename Fn, typename Tuple, size_t... Ix>
constexpr void | forEachInTuple (Fn &&fn, Tuple &&tuple, std::index_sequence< Ix... >)
template<typename Fn, typename Tuple>
constexpr void | forEachInTuple (Fn &&fn, Tuple &&tuple)

## Variables

template<typename Context, size_t Ix>
constexpr auto | useContextDirectly = ! Context::usesSeparateInputAndOutputBlocks() || Ix == 0

## Detailed Description

The contents of this namespace are used to implement ProcessorChain and should not be used elsewhere. Their interfaces (and existence) are liable to change!

## Typedef Documentation

## TupleIndexSequence

template<typename T>

using juce::dsp::detail::TupleIndexSequence = std::make_index_sequence<std::tuple_size_v<std::remove_cv_t<std::remove_reference_t<T>>>>

Definition at line 43 of file juce_ProcessorChain.h.

## Function Documentation

## forEachInTuple() [1/2]

template<typename Fn, typename Tuple>

void juce::dsp::detail::forEachInTuple | ( | Fn && | fn,
|  | Tuple && | tuple )

constexpr

Definition at line 46 of file juce_ProcessorChain.h.

## forEachInTuple() [2/2]

template<typename Fn, typename Tuple, size_t... Ix>

void juce::dsp::detail::forEachInTuple | ( | Fn && | fn,
|  | Tuple && | tuple,
|  | std::index_sequence< Ix... > | )

constexpr

Definition at line 37 of file juce_ProcessorChain.h.

## Variable Documentation

## useContextDirectly

template<typename Context, size_t Ix>

auto juce::dsp::detail::useContextDirectly = ! Context::usesSeparateInputAndOutputBlocks() || Ix == 0

inline constexpr

Definition at line 52 of file juce_ProcessorChain.h.